﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace C1Controls.Models
{
    public class SampleData
    {
        public static DataTable GetTable(int start, int count)
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            //table.Columns.Add("Dosage", typeof(int));
            //table.Columns.Add("Drug", typeof(string));
            //table.Columns.Add("Patient", typeof(string));
            //table.Columns.Add("Date", typeof(DateTime));
            //table.Columns.Add("Active", typeof(bool));
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name", typeof(string));
            table.Columns.Add("IPAddress", typeof(string));
            // Here we add five DataRows.
            var Drugs = "Indocin,Enebrel Some long long text long text long text.,Hydralazine,Combivent Some long long text long text long text.,Dilantin,Some long long text long text long text.".Split(',');
            var Patients = "David,Sam,Christoff,Janet,Melanie".Split(',');
            for (int i = start; i < start + count; i++)
            {
                table.Rows.Add(i, Patients[i % Patients.Length], SampleData.GetIPAddress());
            }
            return table;
        }
        private static string GetIPAddress() {
            Random _rnd = new Random();
            int[] masks = new int[] { _rnd.Next(100, 255), _rnd.Next(100, 255), _rnd.Next(100, 255), _rnd.Next(100, 255) };
            return string.Join(".", masks.Select(x => x.ToString()).ToArray());
        }
    }
}